Package org.snpsift.gwasCatalog

# Class GwasCatalogFileIterator

java.lang.Object
org.snpeff.fileIterator.FileIterator<GwasCatalogEntry>
org.snpeff.fileIterator.LineClassFileIterator<GwasCatalogEntry>
org.snpsift.gwasCatalog.GwasCatalogFileIterator

All Implemented Interfaces:
  `Iterable<GwasCatalogEntry>`, `Iterator<GwasCatalogEntry>`

public class GwasCatalogFileIterator extends org.snpeff.fileIterator.LineClassFileIterator<GwasCatalogEntry>
Iterate on each line of a GWAS catalog (TXT, tab separated format)

Author:
  pcingola

## Field Summary

### Fields inherited from class org.snpeff.fileIterator.LineClassFileIterator

`clazz, debug, FIELD_NAME_SEPARATOR, fieldByName, fieldNames, fieldStr, separator`

### Fields inherited from class org.snpeff.fileIterator.FileIterator

`autoClose, countNewLineChars, fileName, fileSize, line, lineNum, next, nextLine, reader, verbose`

## Constructor Summary

Constructors
Constructor
Description
`GwasCatalogFileIterator(String fileName)`

## Method Summary

### Methods inherited from class org.snpeff.fileIterator.LineClassFileIterator

`createObject, fieldMap, iterator, readNext, setSeparator`

### Methods inherited from class org.snpeff.fileIterator.FileIterator

`close, countNewLineChars, getFilePointer, getLine, getLineNum, guessNewLineChars, hasNext, hasSeek, init, isDebug, load, next, readLine, ready, remove, seek, setAutoClose, setDebug, setVerbose, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### GwasCatalogFileIterator

public GwasCatalogFileIterator(String fileName)